#!/bin/sh

# Bytes atuais
atrx=$(head -1 /sys/class/net/ath0/statistics/rx_bytes)
attx=$(head -1 /sys/class/net/ath0/statistics/tx_bytes)
ats=$(date "+%s")

# Bytes anteriores
oldrx=$(head -1 /tmp/oldrx 2>/dev/null)
oldtx=$(head -1 /tmp/oldtx 2>/dev/null)
olds=$(head -1 /tmp/olds 2>/dev/null)
[ "x$oldrx" = "x" ] && oldrx=$atrx
[ "x$oldtx" = "x" ] && oldtx=$attx
[ "x$olds" = "x" ] && olds=$ats

# gravar dados atuais
echo "$atrx" > /tmp/oldrx
echo "$attx" > /tmp/oldtx
echo "$ats" > /tmp/olds

# tempo decorrido, normalmente 1 segundo
difrx=$(($atrx-$oldrx))
diftx=$(($attx-$oldtx))
difs=$(($ats-$olds))
[ "$difs" -gt "5" ] && exit

# velocidade multiplicada por 8
velrx=$((8*$difrx))
veltx=$((8*$diftx))

echo "&rx=$velrx&tx=$veltx&autor=patrickbrandao"

#echo "&rx=$atrx&tx=9999&fim=end"
#echo "&rx=$atrx&tx=$attx&fim=end"
#echo "&rx=123456&tx=123456&fim=end"

